QGIS Application - Feature request #7974
add zoom controls for map object in composer (other than mouse wheel)
2013-06-02 12:20 PM - Aren Cambre

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 16831
Description

The zoom in/out buttons in print composer only currently allow zooming on the entire canvas. They don't help a user adjust an individual
content item.

It appears the only way you can zoom in or out in individual content in Print Composer is to go to ltem Properties and manually change
the Scale field. Please provide some way to use the mouse to zoom in and out of individual content items, such as a map item.

Associated revisions

Revision 8725c2df - 2014-09-29 11:21 AM - Nyall Dawson

[composer] Fix ctrl modifier not applying to wheel events when in move item

content mode, add missing undo merge command for item zoom (refs #7974)

History

#1 - 2013-06-02 12:37 PM - Giovanni Manghi
- Status changed from Open to Feedback

the mouse wheel zoom the map object in print composer, does not work for you?

#2 - 2013-06-02 12:43 PM - Aren Cambre

Just tried it, and it's really imprecise if you're not using a device that has a physical wheel, like if you're using a laptop trackpad.

Also, | think that mouse wheel generally complements or duplicates features available elsewhere in the Ul. Not so in this case.

#3 - 2013-06-02 12:47 PM - Giovanni Manghi
- Operating System deleted (Windows 7 x64)

Aren Cambre wrote:

Just tried it, and it's really imprecise if you're not using a device that has a physical wheel, like if you're using a laptop trackpad.

Also, | think that mouse wheel generally complements or duplicates features available elsewhere in the Ul. Not so in this case.

you may want to change the title in something like "add zoom controls for map object in composer”, just a suggestion.
#4 - 2013-06-02 12:51 PM - Aren Cambre

| am fine with that new title, but | don't see how to change it.

#5 - 2013-06-02 12:52 PM - Giovanni Manghi
- Subject changed from Add zoom in/out for content in Print Composer to add zoom controls for map object in composer (other than mouse wheel)

#6 - 2013-06-02 02:26 PM - Nathan Woodrow
- Assignee set to Nyall Dawson

#7 - 2014-01-30 11:41 PM - Paolo Cavallini
- Target version changed from Version 2.0.0 to Future Release - High Priority

#8 - 2014-04-06 06:04 AM - Jiirgen Fischer
- Category changed from 33 to Map Composer/Printing

#9 - 2014-09-19 07:50 PM - Nyall Dawson

- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

This is all implemented in current master - holding ctrl while zooming using the mouse wheel results in a finer zoom. Please open new requests if there's

any other features missing from this report.

2025-12-15 22



